Bug 457534 - Package changelogs not visible for offline updates (works for online updates)
Summary: Package changelogs not visible for offline updates (works for online updates)
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Applications
Component: Updates (offline) (show other bugs)
Version: master
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-05 18:47 UTC by Nate Graham
Modified: 2022-11-03 19:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.27


Attachments
Changelogs in DNF and Discover's online updates (1.04 MB, image/jpeg)
2022-08-05 18:47 UTC, Nate Graham
Details
Changelogs in DNF but not Discover's offline updates (1.26 MB, image/jpeg)
2022-08-05 18:48 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2022-08-05 18:47:03 UTC
When using a distro that provides real changelogs for package updates (e.g. Ubuntu-based distros, openSUSE Leap, Fedora), you can see the changelogs for each package entry on Discover's updates page when doing online updates.

However when doing offline updates, Discover gathers all the package entries into one big one, and that one doesn't show any changelogs.

Clearly PackageKit has this data available; we just need to show it to the user when doing offline updates as well as online updates.
Comment 1 Nate Graham 2022-08-05 18:47:38 UTC
Created attachment 151132 [details]
Changelogs in DNF and Discover's online updates
Comment 2 Nate Graham 2022-08-05 18:48:01 UTC
Created attachment 151133 [details]
Changelogs in DNF but not Discover's offline updates
Comment 3 Bug Janitor Service 2022-08-23 15:54:47 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/discover/-/merge_requests/351
Comment 4 Nate Graham 2022-11-03 19:43:11 UTC
Git commit 053387ec2bb9d1387f850f9434fd1515e3cb9e1e by Nate Graham, on behalf of Aleix Pol Gonzalez.
Committed on 03/11/2022 at 19:43.
Pushed by ngraham into branch 'master'.

pk: Improve information on offline updates

Show instead of showing it as changelog, offer an empty changelog and
instead expect users to use the "more info" button to see the
description with a list of all packages plus their respective
changelogs.
FIXED-IN: 5.27

M  +1    -1    libdiscover/backends/PackageKitBackend/AppPackageKitResource.cpp
M  +5    -6    libdiscover/backends/PackageKitBackend/PackageKitResource.cpp
M  +2    -1    libdiscover/backends/PackageKitBackend/PackageKitResource.h
M  +17   -9    libdiscover/backends/PackageKitBackend/PackageKitUpdater.cpp

https://invent.kde.org/plasma/discover/commit/053387ec2bb9d1387f850f9434fd1515e3cb9e1e